Subject: Re: [PATCH 3/8] Add all memory via sysfs probe interface at once

From: Michael Ellerman <[email-masked]>
Date: Fri, 2 Aug 2013 12:32:59 +1000

On Wed, Jul 24, 2013 at 01:37:47PM -0500, Nathan Fontenot wrote:
> When doing memory hot add via the 'probe' interface in sysfs we do not
> need to loop through and add memory one section at a time. I think this
> was originally done for powerpc, but is not needed. This patch removes
> the loop and just calls add_memory for all of the memory to be added.

Looks like memory hot add is supported on ia64, x86, sh, powerpc and
s390. Have you tested on any?
 
cheers